package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class OpenPlatformAuthBillCollection extends AbstractObjectCollection 
{
    public OpenPlatformAuthBillCollection()
    {
        super(OpenPlatformAuthBillInfo.class);
    }
    public boolean add(OpenPlatformAuthBillInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(OpenPlatformAuthBillCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(OpenPlatformAuthBillInfo item)
    {
        return removeObject(item);
    }
    public OpenPlatformAuthBillInfo get(int index)
    {
        return(OpenPlatformAuthBillInfo)getObject(index);
    }
    public OpenPlatformAuthBillInfo get(Object key)
    {
        return(OpenPlatformAuthBillInfo)getObject(key);
    }
    public void set(int index, OpenPlatformAuthBillInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(OpenPlatformAuthBillInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(OpenPlatformAuthBillInfo item)
    {
        return super.indexOf(item);
    }
}